Check License Key Authorisation

Added in v1.0
POST https://api.example.com/api/check
Requires authentication: x-api-key: YOUR_API_KEY

The API returns a JSON response indicating whether the license is valid.

Body parameters

  • id string required
  • info string optional

Responses

  • 200OK
  • 400No License key
  • 403IP Not Authorised
Request
curl -X POST 'https://api.example.com/api/check' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "123",
  "info": "My application v1.0.0"
}'
Response
OK
[
  {
    "status": "AUTHORISED",
    "pass": true,
    "details": "Authorisation completed - example.com"
  },
  {
    "status": "NOT FOUND",
    "pass": false,
    "details": "The supplied license key was not found. Please check your auth key is correct"
  },
  {
    "status": "INVALID PRODUCT",
    "pass": false,
    "details": "The supplied product ID is not authorised for this license"
  },
  {
    "status": "KEY DISABLED",
    "pass": false,
    "details": "This license key has been disabled by an administrator"
  },
  {
    "status": "NOT ACTIVE",
    "pass": false,
    "details": "The supplied key is not active"
  }
]